> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoinvoice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List time entries

> List unbilled time entries for a project. Only time entries not associated with billed invoices are returned.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml /bundled/time-entry.yaml GET /time-entries
openapi: 3.0.3
info:
  title: NeetoInvoice APIs
  version: 2.0.0
servers:
  - description: NeetoInvoice APIs
    url: https://{your-subdomain}.neetoinvoice.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
paths:
  /time-entries:
    get:
      tags:
        - Time entry
      summary: List time entries
      description: >-
        List unbilled time entries for a project. Only time entries not
        associated with billed invoices are returned.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - in: query
          name: client_id
          description: >-
            Unique ID of the client. Refer to [Getting the Client
            ID](/getting-started/getting-client-id) section for detailed
            instructions.
          required: true
          schema:
            type: string
          example: d3e77fe4b9cae1e82d8a
        - in: query
          name: project_id
          description: >-
            Unique ID of the project. Refer to [Getting the Project
            ID](/getting-started/getting-project-id) section for detailed
            instructions.
          required: true
          schema:
            type: string
          example: e34204233797f4b637c5
        - in: query
          name: start_date
          description: >-
            Filter time entries recorded on or after this date in `YYYY-MM-DD`
            format
          required: false
          schema:
            type: string
            format: date
          example: '2025-01-01'
        - in: query
          name: end_date
          description: >-
            Filter time entries recorded on or before this date in `YYYY-MM-DD`
            format
          required: false
          schema:
            type: string
            format: date
          example: '2025-01-31'
        - in: query
          name: page
          description: >-
            Retrieve paginated results by specifying the desired page number.
            Defaults to 1 if not specified.
          required: false
          schema:
            type: integer
          example: 1
        - in: query
          name: page_size
          description: Number of results per page. Defaults to 30 if not specified.
          required: false
          schema:
            type: integer
          example: 30
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unbilled_time_entries_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
  schemas:
    unbilled_time_entries_response:
      type: object
      properties:
        time_entries:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              user_id:
                type: string
                format: uuid
              user_name:
                type: string
              user_email:
                type: string
                format: email
              task_id:
                type: string
                format: uuid
              task_name:
                type: string
              project_id:
                type: string
              project_name:
                type: string
              client_id:
                type: string
              client_name:
                type: string
              hours:
                type: number
                format: float
              recorded_on:
                type: string
                format: date
              notes:
                type: string
              status:
                type: string
              created_at:
                $ref: '#/components/schemas/date_time_field'
              updated_at:
                $ref: '#/components/schemas/date_time_field'
        total_count:
          type: integer
        page:
          type: integer
        page_size:
          type: integer
        total_pages:
          type: integer
        next_page:
          type: integer
          nullable: true
        prev_page:
          type: integer
          nullable: true
    date_time_field:
      type: string
      format: date-time

````